org.apache.fop.pdf

## Class PDFColorHandler

- java.lang.Object
- - org.apache.fop.pdf.PDFColorHandler

-     public class PDFColorHandler
      extends java.lang.Object

  This class handles the registration of color spaces and the generation of PDF code to select the right colors given a `Color` instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFColorHandler(PDFResources resources)` Create a new instance for the given `PDFResources`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `establishColor(java.lang.StringBuffer codeBuffer, java.awt.Color color, boolean fill)` Generates code to select the given color and handles the registration of color spaces in PDF where necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFColorHandler

          public PDFColorHandler(PDFResources resources)

      Create a new instance for the given `PDFResources`
      Parameters:
        `resources` - the PDF resources

  - ### Method Detail

    - #### establishColor

          public void establishColor(java.lang.StringBuffer codeBuffer,
                                     java.awt.Color color,
                                     boolean fill)

      Generates code to select the given color and handles the registration of color spaces in PDF where necessary.
      Parameters:
        `codeBuffer` - the target buffer to receive the color selection code
        `color` - the color
        `fill` - true for fill color, false for stroke color

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.